# Get alerts for a shared dashboard widget

Canonical: https://docs.shumoku.dev/en/server/next/api/getShareDashboardsByTokenDatasourcesByIdAlerts
Language: en
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.1.6-beta.4 · Public Shares

# Get alerts for a shared dashboard widget

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

```
GET /api/share/dashboards/{token}/datasources/{id}/alerts
```

## Authentication

None

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | Projected alerts | `PublicAlert[]` |
| `400` | Shared resource unavailable | `Error` |
| `404` | Shared resource unavailable | `Error` |
| `422` | Shared resource unavailable | `Error` |
| `500` | Shared resource unavailable | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
